Payouts
Methods for creating, listing, and managing payouts in B2BINPAY DeFi API
Authorization
ApiKeyAuth Provide API key in X-API-Key header
In: header
Path Parameters
Deployment unique identifier
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/api/v1/deployments/123e4567-e89b-12d3-a456-426614174000/payouts" \ -H "Content-Type: application/json" \ -d '{ "deploymentId": "00000000-0000-0000-0000-000000000000", "currencyId": "1-0xdac17f958d2ee523a2206206994597c13d831ec7", "amount": "10.00", "toAddress": "0x0000000000000000000000000000000000000000" }'{ "id": "1234567890123456789", "currencyId": "1-0xdac17f958d2ee523a2206206994597c13d831ec7", "amount": "100.50", "toAddress": "0x0000000000000000000000000000000000000000", "isTron": false, "deploymentId": "123e4567-e89b-12d3-a456-426614174000", "trackingId": "INV-2024-0001", "callbackUrl": "https://example.com/webhook/invoice", "queueOperationId": "187654321987654321", "nonce": "42", "status": "CREATED", "createdBy": "0x0000000000000000000000000000000000000000", "createdAt": "2024-01-01T00:00:00.000Z", "updatedAt": "2024-01-01T00:00:00.000Z", "currency": { "id": "1-0xdac17f958d2ee523a2206206994597c13d831ec7", "symbol": "USDT", "name": "Tether USD", "chainId": "1", "address": "0xdac17f958d2ee523a2206206994597c13d831ec7", "decimals": 6, "isScam": false, "isVerified": true, "logoUrl": "https://s2.coinmarketcap.com/static/img/coins/64x64/825.png" }}Authorization
ApiKeyAuth Provide API key in X-API-Key header
In: header
Path Parameters
Deployment unique identifier
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$uuidEntity ID
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X PATCH "https://example.com/api/v1/deployments/123e4567-e89b-12d3-a456-426614174000/payouts/1234567890123456789" \ -H "Content-Type: application/json" \ -d '{}'{ "id": "1234567890123456789", "currencyId": "1-0xdac17f958d2ee523a2206206994597c13d831ec7", "amount": "100.50", "toAddress": "0x0000000000000000000000000000000000000000", "isTron": false, "deploymentId": "123e4567-e89b-12d3-a456-426614174000", "trackingId": "INV-2024-0001", "callbackUrl": "https://example.com/webhook/invoice", "queueOperationId": "187654321987654321", "nonce": "42", "status": "CREATED", "createdBy": "0x0000000000000000000000000000000000000000", "createdAt": "2024-01-01T00:00:00.000Z", "updatedAt": "2024-01-01T00:00:00.000Z", "currency": { "id": "1-0xdac17f958d2ee523a2206206994597c13d831ec7", "symbol": "USDT", "name": "Tether USD", "chainId": "1", "address": "0xdac17f958d2ee523a2206206994597c13d831ec7", "decimals": 6, "isScam": false, "isVerified": true, "logoUrl": "https://s2.coinmarketcap.com/static/img/coins/64x64/825.png" }}Authorization
ApiKeyAuth Provide API key in X-API-Key header
In: header
Path Parameters
Deployment unique identifier
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$uuidQuery Parameters
Page number (starts from 1)
0 < value <= 90071992547409911Number of items per page (max 100)
0 < value <= 10010Field to sort by
"createdAt"Value in
- "id"
- "createdAt"
- "updatedAt"
Sort order (ASC or DESC)
"desc"Value in
- "asc"
- "desc"
Filter by ID that includes the provided string
Filter by created date starting from this date
Filter by created date up to this date
Filter by updated date starting from this date
Filter by updated date up to this date
Filter by currency IDs
Filter by payout statuses (multiselect)
Filter by tracking ID that includes the provided string
Filter by creator (text includes)
Filter by receiver address (text includes)
Response Body
application/json
curl -X GET "https://example.com/api/v1/deployments/123e4567-e89b-12d3-a456-426614174000/payouts"{ "total": 100, "page": 1, "pageSize": 10, "items": [ { "id": "1234567890123456789", "currencyId": "1-0xdac17f958d2ee523a2206206994597c13d831ec7", "amount": "100.50", "toAddress": "0x0000000000000000000000000000000000000000", "isTron": false, "deploymentId": "123e4567-e89b-12d3-a456-426614174000", "trackingId": "INV-2024-0001", "callbackUrl": "https://example.com/webhook/invoice", "queueOperationId": "187654321987654321", "nonce": "42", "status": "CREATED", "createdBy": "0x0000000000000000000000000000000000000000", "createdAt": "2024-01-01T00:00:00.000Z", "updatedAt": "2024-01-01T00:00:00.000Z", "currency": { "id": "1-0xdac17f958d2ee523a2206206994597c13d831ec7", "symbol": "USDT", "name": "Tether USD", "chainId": "1", "address": "0xdac17f958d2ee523a2206206994597c13d831ec7", "decimals": 6, "isScam": false, "isVerified": true, "logoUrl": "https://s2.coinmarketcap.com/static/img/coins/64x64/825.png" } } ]}Authorization
ApiKeyAuth Provide API key in X-API-Key header
In: header
Path Parameters
Deployment unique identifier
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$uuidEntity ID
Response Body
application/json
curl -X GET "https://example.com/api/v1/deployments/123e4567-e89b-12d3-a456-426614174000/payouts/1234567890123456789"{ "id": "1234567890123456789", "currencyId": "1-0xdac17f958d2ee523a2206206994597c13d831ec7", "amount": "100.50", "toAddress": "0x0000000000000000000000000000000000000000", "isTron": false, "deploymentId": "123e4567-e89b-12d3-a456-426614174000", "trackingId": "INV-2024-0001", "callbackUrl": "https://example.com/webhook/invoice", "queueOperationId": "187654321987654321", "nonce": "42", "status": "CREATED", "createdBy": "0x0000000000000000000000000000000000000000", "createdAt": "2024-01-01T00:00:00.000Z", "updatedAt": "2024-01-01T00:00:00.000Z", "currency": { "id": "1-0xdac17f958d2ee523a2206206994597c13d831ec7", "symbol": "USDT", "name": "Tether USD", "chainId": "1", "address": "0xdac17f958d2ee523a2206206994597c13d831ec7", "decimals": 6, "isScam": false, "isVerified": true, "logoUrl": "https://s2.coinmarketcap.com/static/img/coins/64x64/825.png" }}Dernière mise à jour le